Bug 107972 - Updating fails for partial mirrors if Rawhide
Updating fails for partial mirrors if Rawhide
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: yum (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-25 07:41 EDT by Emmanuel Seyman
Modified: 2014-01-21 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 17:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2003-10-25 07:41:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030715
Mozilla Firebird/0.6

Description of problem:
I tried to upgrade my FC test3 installation to rawhide using yum and the rawhide
mirror on ftp.club-internet.fr (a partial mirror of rawhide, i386 only).
Doing this gave the following error message:
.retrygrab() failed for:
http://ftp.club-internet.fr/mirrors/ftp.redhat.com/redhat/linux/rawhide/s390x/Fedora/RPMS/hwdata-0.100-1.noarch.rpm
  Executing failover method
failover: out of servers to try
Error getting file
http://ftp.club-internet.fr/mirrors/ftp.redhat.com/redhat/linux/rawhide/s390x/Fedora/RPMS/hwdata-0.100-1.noarch.rpm
[Errno 4] IOError: HTTP Error 404: Not Found

It appears that yum goes looking for noarch rpms in the last arch for which
headers have being generated, having the effext that yum cannot be used on
partial mirrors.

Version-Release number of selected component (if applicable):
2.0.4-1

How reproducible:
Always

Steps to Reproduce:
1. Add a partial rawhide mirror to /etc/yum.conf
2. run the command "yum update <any-noarch-rpm>"
3. watch command fail
    

Actual Results:  Yum fails on the first noarch rpm

Expected Results:  Yum should look for noarch rpms in the $basearch directory

Additional info:
Comment 1 Alan Sanderson 2003-10-25 11:20:47 EDT
I think it's to do with permisions on rawhide mirrors. They're all set as
drwx--------- for the rawhide directory
Comment 2 Bill Nottingham 2003-10-26 21:47:58 EST
Sounds like a bad mirror.
Comment 3 Satish Balay 2003-10-29 16:04:29 EST
I've seen this happen a few times with redhat mirror(since the reorganization of
rawhide a few days back). I have the following in my /etc/yum.conf

http://rawhide.redhat.com/pub/redhat/linux/rawhide

Today - I got the following error.

>>>>>>>
redhat-config-network-1.3 100% |=========================| 5.8 kB    00:00     
redhat-config-network-1.3 100% |=========================| 5.8 kB    00:00     
retrygrab() failed for:
 
http://rawhide.redhat.com/pub/redhat/linux/rawhide/s390x/Fedora/RPMS/redhat-config-network-1.3.10-1.noarch.rpm
  Executing failover method
failover: out of servers to try
Error getting file
http://rawhide.redhat.com/pub/redhat/linux/rawhide/s390x/Fedora/RPMS/redhat-config-network-1.3.10-1.noarch.rpm
[Errno -1] RPM
/var/cache/yum/rawhide/packages/redhat-config-network-1.3.10-1.noarch.rpm fails
md5 check
>>>>>>>>>>


It appears the error is in the 'header.info' file generation or something - as
it points to the s390x location - where the file doesn't exist.

>>>>>>>>>>>>>[asterix]: grep redhat-config-network
/var/cache/yum/rawhide/header.info 
0:redhat-config-network-1.3.10-1.noarch=s390x/Fedora/RPMS/redhat-config-network-1.3.10-1.noarch.rpm
0:redhat-config-network-tui-1.3.10-1.noarch=s390x/Fedora/RPMS/redhat-config-network-tui-1.3.10-1.noarch.rpm
[asterix]: wget 
http://rawhide.redhat.com/pub/redhat/linux/rawhide/s390x/Fedora/RPMS/redhat-config-network-1.3.10-1.noarch.rpm
--15:04:07-- 
http://rawhide.redhat.com/pub/redhat/linux/rawhide/s390x/Fedora/RPMS/redhat-config-network-1.3.10-1.noarch.rpm
           => `redhat-config-network-1.3.10-1.noarch.rpm'
Resolving rawhide.redhat.com... done.
Connecting to rawhide.redhat.com[66.187.224.51]:80... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: http://www.redhat.com/errors/404.html [following]
--15:04:08--  http://www.redhat.com/errors/404.html
           => `404.html.1'
Resolving www.redhat.com... done.
Connecting to www.redhat.com[66.187.232.50]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5,896 [text/html]

100%[========================================================================================================================================>]
5,896        174.48K/s    ETA 00:00

15:04:08 (174.48 KB/s) - `404.html.1' saved [5896/5896]

>>>>>>>

If the .noarch.rpm files are common across all arches - then they should reside
in a similar noarch.rpm dir?




Comment 4 Satish Balay 2003-11-04 18:35:09 EST
I just noticed that header.info stuff is created for each ARCH as
well. So, I'm guessing that changing the url (in /etc/yum.conf) from:

baseurl=http://rawhide.redhat.com/pub/redhat/linux/rawhide
to
baseurl=http://rawhide.redhat.com/pub/redhat/linux/rawhide/$basearch

should get arround this problem. Perhaps a similar workarround for
up2date?

Once Fedora Core 1 is released - hopefully the mirrors will have the
header.info similarly organized. In this case - the issue would now be
the defaults in /etc/yum.conf and /etc/sysconfig/rhn/sources

Comment 5 Satish Balay 2003-11-05 11:22:55 EST
I spoke too soon.. Even the
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/header/header.info
file is out-of-sync with the stuff on the ftp site...

Someone needs to re-evaluate how the ftp site is updated - and
how/where 'yum-arch' is run to update this info.

Errors as of today:

Damaged Header
/var/cache/yum/rawhide/headers/kudzu-devel-0-1.1.36-1.i386.hdr
kudzu-devel-0-1.1.36-1.i3 100% |=========================| 5.8 kB   
00:00     
Damaged Header
/var/cache/yum/rawhide/headers/kudzu-devel-0-1.1.36-1.i386.hdr
retrygrab() failed for:
 
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/headers/kudzu-devel-0-1.1.36-1.i386.hdr
  Executing failover method
failover: out of servers to try
Error getting file
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/headers/kudzu-devel-0-1.1.36-1.i386.hdr
[Errno -1] Header cannot be opened or does not match kudzu-devel, i386.

The heade file kudzu-devel-0-1.1.36-1.i386.hdr doesn't exist - but
header.info has an entry for it.
asterix:/home/balay>wget
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/headers/header.info
--10:14:30-- 
http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/headers/header.info
           => `header.info'
Resolving rawhide.redhat.com... grep kudzdone.
Connecting to rawhide.redhat.com[66.187.224.51]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 155,760 [text/plain]

100%[======================================================================================================>]
155,760      406.71K/s    ETA 00:00

10:14:36 (406.71 KB/s) - `header.info' saved [155760/155760]

asterix:/home/balay>grep kudz header.info 
0:kudzu-debuginfo-1.1.36-1.i386=debug/kudzu-debuginfo-1.1.36-1.i386.rpm
0:kudzu-devel-1.1.36-1.i386=Fedora/RPMS/kudzu-devel-1.1.36-1.i386.rpm
0:kudzu-1.1.36-1.i386=Fedora/RPMS/kudzu-1.1.36-1.i386.rpm

Comment 6 Seth Vidal 2003-11-12 14:15:18 EST
This should be moved upstream, sorta, but it is not something I'm
inclined to fix soon. The headers are going to be going 'poof' in the
devel branch anyway...

Comment 7 Jeff Johnson 2003-11-21 17:35:07 EST
OK, resolved to UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.